include ../button/button
include ../field/field

mixin promo(data)
	- data = data || {};

	+b.promo(
		data-validate-url= data.url
		data-event-valid= data.eventValid
	).js-promo&attributes(attributes)
		+e.add
			+button({"text": "Активировать промокод", "icon": "plus", "rounded": true, "color": "white"}).js-promo-add
		+e.wrap.js-promo-wrap
			+e.field.js-promo-field
				+field({"placeholder": "Введите промокод", "type": "text", "label": "Промокод #1", "disabled": "disabled", "extra": "Скидка на доставку 30%", "name": "code", "error": "Неверный промокод", "clear": {"icon": "close", "text": "Удалить"}}).promo__field-el
